.\"	$NetBSD: robots.6,v 1.14 2009/04/09 03:52:54 joerg Exp $
.\"
.\" Copyright (c) 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)robots.6	8.1 (Berkeley) 5/31/93
.\"
.Dd August 4, 2009
.Dt ROBOTS 6
.Os
.Sh NAME
.Nm robots
.Nd fight off villainous robots
.Sh SYNOPSIS
.Nm
.Op Fl Aajnrst
.Op Ar maximum
.Op Ar scorefile
.Sh DESCRIPTION
.Nm
pits you against evil robots, who are trying to kill you (which is why
they are evil).
Fortunately for you, even though they are evil, they are not very bright
and have a habit of bumping into each other, thus destroying themselves.
In order to survive, you must get them to kill each other off, since you
have no offensive weaponry.
.Pp
Since you are stuck without offensive weaponry, you are endowed with one
piece of defensive weaponry: a teleportation device.
When two robots run into each other or a junk pile, they die.
If a robot runs into you, you die.
When a robot dies, you get 10 points, and when all the robots die,
you start on the next field.
This keeps up until they finally get you.
.Pp
Robots are represented on the screen by a
.Sq \&+ ,
the junk heaps from their collisions by a
.Sq \(** ,
and you
(the good guy)
by a
.Sq @ .
.Pp
The commands are:
.Bl -tag -width indent -compact
.It Ic h
move one square left
.It Ic l
move one square right
.It Ic k
move one square up
.It Ic j
move one square down
.It Ic y
move one square up and left
.It Ic u
move one square up and right
.It Ic b
move one square down and left
.It Ic n
move one square down and right
.It Ic \&.
(also space) do nothing for one turn
.It Ic HJKLBNYU
run as far as possible in the given direction
.It Ic \*[Gt]
do nothing for as long as possible
.It Ic t
teleport to a random location
.It Ic w
wait until you die or they all do
.It Ic q
quit
.It Ic ^L
redraw the screen
.El
.Pp
All commands can be preceded by a count.
.Pp
If you use the
.Sq Ic w
command and survive to the next level, you will get a bonus of 10%
for each robot which died after you decided to wait.
If you die, however, you get nothing.
For all other commands, the program will save you from typos
by stopping short of being eaten.
However, with
.Sq Ic w
you take the risk of dying by miscalculation.
.Pp
Only five scores are allowed per user on the score file.
If you make it into the score file, you will be shown the list at the end
of the game.
If an alternative score file is named on the command line, that file
will be used instead of the standard file for scores.
The score file must be created empty beforehand, e.g. with
.Xr touch 1 .
If the argument
.Ar maximum ,
which must be a number, is provided when a score file is first used,
the value given will be used as the maximum number of scores to keep
per user instead of the default five.
This value is a property of the score file and cannot be changed later.
.Pp
The options are
.Bl -tag -width indent
.It Fl A
Auto-bot mode.
Lets the game play itself.
.It Fl a
Advance into the higher levels directly, skipping the lower, easier levels.
.It Fl j
Jump,
.Em i.e. ,
when you run, don't show any intermediate positions; only show things at
the end.
This is useful on slow terminals.
.It Fl n
Increase the number of games played by one; that is, automatically
choose to play again one time per usage of this option.
.It Fl r
Play in real time; that is, if you do nothing for a few seconds the
game will assume you meant to do nothing and move the robots.
.It Fl s
Don't play, just show the score file.
.It Fl t
Teleport automatically when you have no other option.
This is a little disconcerting until you get used to it, and then it is
very nice.
.El
.Sh FILES
.Bl -tag -width /var/games/robots_roll -compact
.It Pa /var/games/robots_roll
The score file.
.El
.Sh AUTHORS
.An Ken Arnold
.An Christos Zoulas
(autobot mode)
.Sh BUGS
Bugs?
You
.Em crazy ,
man?!?
